### Enumeration

# FwupdPlugin ContextHwidFlags

since: 1.0

#### Declaration

    flags FwupdPlugin.ContextHwidFlags

#### Description

No description available.

Available since: 1.0

#### Members

`FU_CONTEXT_HWID_FLAG_NONE`
  No description available.
  - Value: `0`
  - Nickname: `None`
  - Available since: 1.0
`FU_CONTEXT_HWID_FLAG_LOAD_CONFIG`
  No description available.
  - Value: `1`
  - Nickname: `None`
  - Available since: 1.0
`FU_CONTEXT_HWID_FLAG_LOAD_SMBIOS`
  No description available.
  - Value: `2`
  - Nickname: `None`
  - Available since: 1.0
`FU_CONTEXT_HWID_FLAG_LOAD_FDT`
  No description available.
  - Value: `4`
  - Nickname: `None`
  - Available since: 1.0
`FU_CONTEXT_HWID_FLAG_LOAD_DMI`
  No description available.
  - Value: `8`
  - Nickname: `None`
  - Available since: 1.0
`FU_CONTEXT_HWID_FLAG_LOAD_KENV`
  No description available.
  - Value: `16`
  - Nickname: `None`
  - Available since: 1.0
`FU_CONTEXT_HWID_FLAG_LOAD_DARWIN`
  No description available.
  - Value: `32`
  - Nickname: `None`
  - Available since: 1.0
`FU_CONTEXT_HWID_FLAG_WATCH_FILES`
  No description available.
  - Value: `64`
  - Nickname: `None`
  - Available since: 1.0
`FU_CONTEXT_HWID_FLAG_FIX_PERMISSIONS`
  No description available.
  - Value: `128`
  - Nickname: `None`
  - Available since: 1.0